#
# spec file for package python-tablib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?rhel}
# I get syntax errors in the brp-python-bytecompile step...
%define _python_bytecompile_errors_terminate_build 0
%endif

Name:           python-tablib
Version:        0.10.0
Release:        8.1
Summary:        Format agnostic tabular data library (XLS, JSON, YAML, CSV)
License:        MIT
Group:          Development/Languages/Python
Url:            http://python-tablib.org
Source:         http://pypi.python.org/packages/source/t/tablib/tablib-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Requires:       python-xml
Patch0:         0001-use-safe-load.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%else
BuildArch:      noarch
%endif

%description
Tablib is a format-agnostic tabular dataset library, written in Python.

Output formats supported:

- Excel (Sets + Books)
- JSON (Sets + Books)
- YAML (Sets + Books)
- HTML (Sets)
- TSV (Sets)
- CSV (Sets)

%prep
%setup -q -n tablib-%{version}
%patch0 -p1
# Remove shebang lines from non-executable scripts:
find tablib -name "*.py" | xargs sed -i '1 { /^#!/ d }'

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{_prefix}

%check
python test_tablib.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Jun 15 2017 vuntz@suse.com
- Add 0001-use-safe-load.patch: use yaml.safe_load (CVE-2017-2810,
  bsc#1044329)
* Fri Jul 24 2015 seife+obs@b1-systems.com
- fix RHEL build by ignoring bytecompile-errors
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.10.0:
  * Unicode Column Headers
  * ALL the bugfixes!
- add fdupes as BuildRequires and call it after install
- remove shebang in every python files
- remove useless CFLAGS declaration
- run the tests during build with test_tablib.py
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jul 27 2012 saschpe@suse.de
- Initial version
